Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

CQ5.5 integrate with exactTarget, bundle can't be started, throws com.exacttarget.fuelsdk -- Cannot be resolved

Avatar

Level 5

We use CQ5.5, need to integrate with saleforce java fuelsdk. The new service is registered in the OSGI but can't be started. Here is the error: com.exacttarget.fuelsdk -- Cannot be resolved. in the OSGI console.

Here is the definition in the pom.xml

<dependency>
    <groupId>com.exacttarget</groupId>
    <artifactId>fuelsdk</artifactId>
    <version>1.1.0</version>
</dependency>

 

Just wonder if CQ5.5 needs any additional libraries? or CQ5.5 can't integrate with exacttarget.

Thanks.

 

 

2 Replies

Avatar

Level 10

You need to create an OSGi bundle that wraps that Java lib abd place the OSGi into an active state.  See the community article where we wrap the word press api as an example.